config:
  target: "{{ $processEnv.LARAVEL_API_URL }}"
  phases:
    - duration: 60
      arrivalRate: 20
  defaults:
    headers:
      Authorization: "Bearer {{ $processEnv.LARAVEL_API_TOKEN }}"

scenarios:
  - name: "Card Operations Load Test"
    flow:
      - post:
          url: "/api/cards/activate"
          json:
            card_number: "{{ $processEnv.TEST_CARD_NUMBER }}"
            wallet_number: "{{ $processEnv.TEST_WALLET_NUMBER }}"
            pin: "{{ $processEnv.TEST_PIN }}"